array_get(3)

NAME
array_get - get pointer to nth element in array

SYNTAX
#include <array.h> void* array_get(array* x, uint64 membersize, int64 pos);
  array x;
  int64 pos;
  t* p = array_get(&x,sizeof(t),pos);

DESCRIPTION
array_get is similar to array_allocate, but it does not allocate any extra bytes, and it does not initialize any extra bytes. It returns 0 if x is unallocated, for example, or if fewer than (pos+1)*sizeof(t) bytes are initialized.

SEE ALSO
array_allocate(3), array_fail(3), array_start(3)